.block-cta-contact-with-image {
  display: grid;
  overflow: hidden;
  color: var(--color-on-primary);
  border-radius: var(--radius-lg);
  background-color: var(--color-on-primary-container);
}

.block-cta-contact-with-image__content {
  padding: var(--spacing-lg);
}

.block-cta-contact-with-image__image {
  position: relative;
  display: none;
  overflow: hidden;
}

.block-cta-contact-with-image__image img {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.block-cta-contact-with-image__actions .button {
  --button-background-color: var(--color-on-primary);
  --button-background-color-hover: var(--color-on-primary);
  --button-color: var(--color-primary);
  --button-color-hover: var(--color-primary);
}

@media (min-width: 768px) {
  .block-cta-contact-with-image__content {
    padding: var(--spacing-xl);
  }

  .block-cta-contact-with-image {
    grid-template-columns: repeat(2, 1fr);
  }

  .block-cta-contact-with-image__image {
    display: block;
  }
}
